ETA for plugin for ideaIU-90.94?

I tried scala-intellij-bin-0.3.22 but it failed to load in U90.94, C90.94 and in Maia 10781. So I'm not sure what version it targets.

I installed the plugin using the "unzip" method.

/jwh


2009-10-15 17:38:07,355 [    429]   INFO - llij.ide.plugins.PluginManager - Cannot load /usr/local/idea-IC-90.94/config/plugins/Scala/lib/scala-plugin.jar
com.intellij.openapi.util.InvalidDataException: org.jdom.input.JDOMParseException: Error on line 25: The value of attribute "until-build" associated with an element type "idea-version" must not contain the '<' character.
        at com.intellij.ide.plugins.IdeaPluginDescriptorImpl.readExternal(IdeaPluginDescriptorImpl.java:115)
        at com.intellij.ide.plugins.PluginManager.loadDescriptorFromJar(PluginManager.java:829)
        at com.intellij.ide.plugins.PluginManager.loadDescriptor(PluginManager.java:754)
        at com.intellij.ide.plugins.PluginManager.loadDescriptors(PluginManager.java:719)
        at com.intellij.ide.plugins.PluginManager.loadDescriptors(PluginManager.java:481)
        at com.intellij.ide.plugins.PluginManager.initializePlugins(PluginManager.java:169)
        at com.intellij.ide.plugins.PluginManager.getPlugins(PluginManager.java:103)
        at com.intellij.openapi.application.impl.ApplicationImpl.loadApplicationComponents(ApplicationImpl.java:296)
        at com.intellij.openapi.application.impl.ApplicationImpl.<init>(ApplicationImpl.java:191)
        at com.intellij.openapi.application.ex.ApplicationManagerEx.createApplication(ApplicationManagerEx.java:35)
        at com.intellij.idea.IdeaApplication.<init>(IdeaApplication.java:72)
        at com.intellij.idea.MainImpl.startApplication(MainImpl.java:103)
        at com.intellij.idea.MainImpl._main(MainImpl.java:99)
        at com.intellij.idea.MainImpl.start(MainImpl.java:72)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at com.intellij.ide.plugins.PluginManager$3.run(PluginManager.java:149)
        at java.lang.Thread.run(Thread.java:619)
Caused by: org.jdom.input.JDOMParseException: Error on line 25: The value of attribute "until-build" associated with an element type "idea-version" must not contain the '<' character.
        at org.jdom.input.SAXBuilder.build(SAXBuilder.java:504)
        at org.jdom.input.SAXBuilder.build(SAXBuilder.java:888)
        at com.intellij.openapi.util.JDOMUtil.loadDocument(JDOMUtil.java:331)
        at com.intellij.openapi.util.JDOMUtil.loadDocument(JDOMUtil.java:340)
        at com.intellij.ide.plugins.IdeaPluginDescriptorImpl.readExternal(IdeaPluginDescriptorImpl.java:104)
        ... 19 more
Caused by: org.xml.sax.SAXParseException: The value of attribute "until-build" associated with an element type "idea-version" must not contain the '<' character.
        at org.apache.xerces.util.ErrorHandlerWrapper.createSAXParseException(Unknown Source)
        at org.apache.xerces.util.ErrorHandlerWrapper.fatalError(Unknown Source)
        at org.apache.xerces.impl.XMLErrorReporter.reportError(Unknown Source)
        at org.apache.xerces.impl.XMLErrorReporter.reportError(Unknown Source)
        at org.apache.xerces.impl.XMLErrorReporter.reportError(Unknown Source)
        at org.apache.xerces.impl.XMLScanner.reportFatalError(Unknown Source)
        at org.apache.xerces.impl.XMLScanner.scanAttributeValue(Unknown Source)
        at org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanAttribute(Unknown Source)
        at org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanStartElement(Unknown Source)
        at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(Unknown Source)
        at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
        at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)

3 comments
Comment actions Permalink

Try to install version 0.3.28 throw plugin manager.

Best regards,
Alexnader Podkhalyuzin.

0
Comment actions Permalink

Plugin installed. But I am unable to load any maven project in 90.94. "too many open file" errors. I submitted a bug report.

0
Comment actions Permalink

Ok, I suppose that it's not scala plugin issue.
I hope this week will be EAP with fix.

Best regards,
Alexander Podkhalyuzin.

0

Please sign in to leave a comment.